# norootforbuild

Name:		xvidenc
Version:	8.6.0
Release:	1.1

License:	GPL-2.0+
Group:		Productivity/Multimedia/Video/Editors and Convertors
Summary:	An advanced CLI shell script for MEncoder
URL:		http://xvidenc.sourceforge.net/

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

Requires:       findutils gpac bc gawk lsdvd nano ogmtools aften vorbis-tools opus-tools mailx MPlayer mkvtoolnix pv


%description
xvidenc is an advanced and powerful interactive menu-driven shell script
written for the GNU/Linux operating system which can help you to encode
a DVD, a (S)VCD or a regular video file to the MPEG-4 SP/ASP format using
the MEncoder encoder from the MPlayer project and the Xvid library. It supports
muxing the final encode from AVI to Matroska, from AVI to OGM and from
AVI to the MP4 container.


%prep
%setup -q -n %{name}-%{version}

%build

%install
# binary
%__install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

# man
gzip -9 man/%{name}.1
%__install -D -m 644 man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

# docs
%__mkdir -p %{buildroot}/%{_docdir}/%{name}/matrices/Jawor{1,2}CD
%__install -m 644 doc/* %{buildroot}/%{_docdir}/%{name}
%__install -m 644 matrices/Jawor1CD/* %{buildroot}/%{_docdir}/%{name}/matrices/Jawor1CD
%__install -m 644 matrices/Jawor2CD/* %{buildroot}/%{_docdir}/%{name}/matrices/Jawor2CD


%clean
rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Sep 26 2014 Grozdan Nikolov <neutrino8@gmail.com> 8.6.0
	* Use -mc 0 -noskip -msglevel demuxer=-1 to workaround the copy issue of MEncoder
	
* Mon Apr 21 2014 Grozdan Nikolov <neutrino8@gmail.com> 8.5.9
	* Add -nosub option to prevent auto-loading of embedded subs
	* Bugfix: copying audio for subsequent tracks and remuxing to MP4
	  resulted in the tracks not being added due to missing ffaac
	  param in the case statement
	  
* Sun Dec 15 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.8
	* Bugfix: copying of audio stream was set to pcm. Should be copy
	* Allow relative paths when storing the batchfile
	
* Mon Nov 11 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.7
	* Allow importing of PGS subtitles into the MKV container
	* Added support for importing a chapters file for MKV/MP4/OGM when input is file
	* Added support for setting the audio language code for MKV/MP4/OGM when input is file
	* Added support for setting the subtitle language code when importing subs into MKV/MP4/OGM
	
* Sun Nov 03 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.6
	* Placed the $demuxer variable higher. Fixes audio detection for file input
	* Moved some audio selection code into a new set_audio_codec_func() function.
	  Reduces some code duplication and removes the default_audio_codec_func() function
	  
* Fri Nov 01 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.5
	* Merged the file and dvd audio detection/selection code
	* Merged the audio code for the first track with the code for subsequent tracks
	* Set a default audio ID based on input (ie, 0 for file and 128 for DVD)
	* Small improvements to the subtitles code
	* Use -demuxer lavf for file and dir encodings
	* Renamed the -help switch to -h
	* Improved the way audio tracks information is presented to the user
	* Make destination dir if it doesn't exist for saving to the batchfile
	* Updated the man page
	
* Thu Oct 31 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.4
	* Implemented support for virtually an infinite amount of subtitles. This introduces a new
	  variable, MAX_AMOUNT_SUBS, to the config file where the user can set the amount of subtitles
	  he/she wants the script to support
	* Added output name to the message of the mail notification feature
	* Fixed the nosound audio option
	* Renamed the rmtemp() function to exit_func()
	* Return proper exit codes. 0 on success, 1 on error and 2 on user interrupt
	
* Wed Oct 30 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.3
	* Added -demuxer lavf for more reliable detection of audio streams in file input mode
	* Implemented virtually infinite support for the amount of audio tracks. This introduces
	  a new variable in the config file, MAX_AMOUNT_AUD_TRACKS, where the user can specify
	  how many audio tracks he/she wants the script to support.
	* Enabled multi-channel support for Opus audio
	* Moved the MKV audio filters metadata after the audio codec/language metadata
	* Fixed copy and pcm audio encoding
	* If user chooses PCM for subsequent audio tracks, don't error out but just skip the track
	* Some minor clean-ups
	
* Tue Oct 29 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.2
	* Added support for the Opus audio codec. Requires opusenc and a recent version of
	  mkvtoolnix with support for Opus
	* Renamed track_echo_func() to audio_track_echo_func() for consistency
	* Added support for setting the AC-3 Exponent strategy search size
	* Allow applying an LFE low-pass filter for AC-3 audio
	* Improved aften options passing
	* Updated the man page
	
* Mon Oct 28 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.1
	* Bugfix: codec detection for 2nd and 3rd audio track from DVDs did not work correctly
	* Updated the man page
	
* Thu Oct 24 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.5.0
	* Allow encoding of 640 kbps AC-3 audio
	* Detect and display audio codec info when input is file
	* Added support for setting the Dynamic Range Compression (DRC) profile for AC-3 audio
	* Fixed AC-3 audio encoding by adding -readtoeof 1 which ignores WAV header signaling
	* Renamed aften $AC3 var to $AC3ENC
	* Use AC-3 instead of AC3 in metadata info
	
* Mon Sep 02 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.4.9
	* Fix audio TID for MKV when using neroAacEnc as encoder
	
* Wed May 29 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.4.8
	* Removed workarounds for older MP4Box versions. As of this release, only gpac 0.5.0 and higher
	  are supported. SVN version is highly recommended, though
	* When using AC3 audio, language TID for MKV was set to 1. It should be 0
	
* Tue May 28 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.4.7
	* Use aften for AC3 audio encoding as MEncoder is currently broken. This updates the config
	  file version to 18
	  
* Wed May 22 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.4.6
	* Bugfix: add missing 384 kbps option for AC3 audio
	* Notify the user when we first create the config file
	* SAR is Sample Aspect Ratio, not Storage Aspect Ratio. Corrected this mistake
	
* Thu Apr 11 2013 Grozdan Nikolov <neutrino8@gmail.com> 8.4.5
	* Use ffmpeg's MPEG12 decoder instead of the libmpeg12 one
	* Updated the man page
	
* Thu Sep 27 2012 Grozdan Nikolov <neutrino8@gmail.com> 8.4.4
	* Don't append '- chapter [id]' to output filename when user encodes only specific DVD chapters
	* Change bad default bitrate value in DTS audio encoding to 384kbps.
	
* Mon Jan 02 2012 Grozdan Nikolov <neutrino8@gmail.com> 8.4.3
	* Added support for setting the default video bitrate/quantizer and default audio codec
	  in the config file, which introduces three new variables; DEFAULT_VID_BITRATE,
	  DEFAULT_VID_QTZR and DEFAULT_AUD_CODEC. This bumps the config file version to 17
	* Renamed variables DEFOUTPUT, DEFPATH and DEFBATCHDIR to DEFAULT_OUTPUT, DEFAULT_PATH
	  and DEFAULT_BATCHDIR
	* Replaced some if conditionals in the -sc option by using 'test' directly
	* Added an option to pass additional parameters to MEncoder. Useful if user wants to pass options
	  such as -mc 0 -noskip
	* Added support for encoding to DTS audio through the dcaenc encoder which can be found
	  at: http://aepatrakov.narod.ru/dcaenc/
	* Minor changes to the video_delogo_func() function. Use $sourcetype, $device, $vid and
	  $MPLAYEROPTS variables. Also use -nosound in MPlayer
	* Improved the mkvtags file. Escape special characters like &, <, > and " in the Title field
	* Use -vo dummy in MPlayer in the audio code. Seems to work better for some files
	
* Tue Mar 29 2011 Grozdan Nikolov <neutrino8@gmail.com> 8.4.2
	* Added support for setting the crop rounding value
	
* Mon Mar 07 2011 Grozdan Nikolov <neutrino8@gmail.com> 8.4.1
	* Fixed a bug in directory batch mode were wrong conditional was used to check
	  for the DEFOUTPUT variable
	* Display which file is currently being processed in batch mode
	* Check only for files while in batch mode
	* Fixed the video_deblock_func() function. Wrong vars used
	
* Mon Jan 31 2011 Grozdan Nikolov <neutrino8@gmail.com> 8.4.0
	* Use -demuxer lavf when trying to get the video length for bitrate calculation
	  for a target file size. Should be more reliable on M2TS/TS files
	* Added support for the delogo filter and bumped config file version to 16
	* Updated copyright dates
	
* Fri Nov 26 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.9
	* Remove double $HOME variable in the -scan option
	
* Fri Oct 29 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.8
	* Added support for setting subtitle codepage during hardcoding of external subs
	* Added support for the audio equalizer filter. This updates the config file version
	  to 15
	* Removed 'time' requirement
	
* Wed Sep 22 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.7
	* Workaround mencoder stupidity. With recent versions of mencoder that have subs
	  enabled by default (who came up with that great idea?), in case the user selects
	  to dump a sub for importing into mkv/mp4, during multipass encoding the first sub
	  will always get hardcoded due to missing -nosub option in the 2nd and 3rd pass code.
	  This is only valid for multipass encodes so people using one pass modes (-1p or -fq)
	  are safe.
	* Small update to the -scan option. Just check if input file is there, regardless if
	  user provides the full path or not
	  
* Sat Aug 07 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.6
	* Add -nosub to prevent auto-loading of subs
	
* Sat May 15 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.5
	* Small bugfix in the get_devices_func() function; script exits when user hits enter
	  to accept default device
	* Updated the man page
	
* Wed May 05 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.4
	* Reworked a bit the audio channels decode/output function. This function also got
	  renamed from audio_channels_func() to audio_channels_decode_func()
	* Added support for the audio channels filter which can be used to add/remove/route channels
	  This updates the config file to version 14 and adds variable ALLOW_AUD_CHANNELS
	* Some various small improvements
	
* Fri Mar 12 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.3
	* Small bugfix: the $interlacing variable wasn't passed on to mencoder
	* Space escaped some previously missed variables
	
* Sat Feb 27 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.2
	* Small bugfix: wrong variable used when exporting from the send_email_func() function
	  to the batchfile
	* Added new variable DEFOUTPUT to the config where user can set a default output directory.
	  This updates the config version to 13
	* Updated the set_output_filename_func() function to support the above change
	* Use one variable in the presets (xvidparams) for all MEncoder Xvid encoding options.
	  Reduces some code and simplifies things a bit
	* Updated the preset.cfg file to support the "one variable for all Xvid encoder opts"
	  Note: those using custom preset files for encoding should read the preset.cfg file
	  in the doc dir and adapt their existing preset files to be compatible with the
	  changes. Previous older custom presets written by users will not work with this and
	  future versions of xvidenc!
	  
* Tue Feb 02 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.1
	* Reduced duplication in the audio encode exporting code by moving it inside functions
	* Reduced duplication in the MKV/MP4/OGM exporting code by moving it inside functions
	* Reduced duplication in the code that prints some information before encoding starts
	* Various minor code improvements
	
* Thu Jan 21 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.3.0
	* Renamed the rmconf() function to rmtemp() 
	* Moved creation of temp dir, the interrupt_func() and rmtemp() functions at the beginning
	  of the script
	* Fixed a bug in the DVD part of the -scan option where lsdvd doesn't get a valid device
	  passed. Bug was introduced due to changes in the new get_devices_func() function
	* Removed some duplication in the mencoder_opts() function
	* Various small code improvements
	* Updated the README.xvidenc file
	
* Tue Jan 19 2010 Grozdan Nikolov <neutrino8@gmail.com> 8.2.9
	* Fixed a bug where the interlacing variable doesn't get passed when skipping the
	  pre/postprocessors. This is needed for correct condition check for IVTC/FPS conversion.
	  Reported by Peter Lutz
	* Fixed a bug in the -scan option where vcd was not recognized as valid option
	* Added two new variables, DVD_DEVICE and CDROM_DEVICE, to the config file where user can
	  set his preferred dvd/cd block device. This updates the config file to version 12
	* Removed the -a52drc option for AC3 encoding
	* Merged the get_dvd_devices_func() and get_vcd_devices_func() functions into a new one
	  called get_devices_func()
	  
* Mon Dec 28 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Changed all video ALLOW_* variables in the config file to ALLOW_VID_*
	* When using dd to dump a DVD to an ISO, use options noerror,sync and a bs size of 2048
	* Added support for sending mails. This requires the 'mailx' program and a valid .mailrc
	  file in the home directory. Mail notification can be enabled in the config file of
	  xvidenc which also offers an example of a gmail setting for .mailrc
	* Added support for loading custom preset files. Have a look at the preset.cfg file in
	  the doc directory on how to write such files
	* Added support for setting a custom temp dir in the config file
	* Small update to the mkvtags_func() function
	* Bumped config file version to 11
	* Updated copyright dates
	* Updated the man page
	
* Tue Nov 17 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Implemented a simple telecine detector for NTSC DVDs. Currently it's a dumb solution
	  which can't distinguish between hard telecine and interlacing but it's enough to
	  detect soft telecine and mixed progressive/telecine content which is more common
	* Simplified the FPS detection code
	* Sed a comma at the end of resolution detection in case we're dealing with TS files. The
	  default TS demuxer in MPlayer has a comma at the end of the resolution info which results
	  in errorneous behavior in the bc calculation
	* Simplified the resolution detection code
	* Small general code improvements and cosmetics
	
* Sat Oct 24 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added new function video_subtitles_align_func() for subtitle alignment control
	* Simplified a bit the audio exporting code for the first track
	* Force stereo audio for Nero HE-AACv2 as it doesn't support anything else, thus
	  it results in failure if user tries to encode with more than two channels. This
	  updates the audio_channels_func() function and also adds a small new independent
	  one called neroaac_hev2_func() which only sets the channels to two if the channels
	  array variables are empty, as is the case when the user did not set the channels
	* Small improvements to the ABR/VBR default audio bitrates for the neroAacEnc encoder.
	  Base the default bitrates on the chosen AAC profile, i.e. if user chooses HE-AACv1,
	  default bitrate will be 55 kbps or in case of quality-based VBR encoding a value of
	  0.22. For LC-AAC and HE-AACv2, default bitrates and quality values will be 96 kbps
	  or 0.35 and 25 kbps or 0.11, respectively. Note that this assumes the input audio is
	  stereo so if it's anything else than that, it's up to the user to decide on bitrates
	  or quality values
	* Set default to a capital letter in questions where one needs to answer with y or n
	
* Tue Sep 29 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Insert the ilpack filter before the scaler to correctly align chroma when
	  preserving interlacing
	* Added AUDIO_CODEC_TRACK[1|2|3], AUDIO_LANGUAGE_TRACK[1|2|3], MKVMERGE_VERSION
	  and XVIDENC_PARAMETERS entries to the mkvtags_func() function
	* Improved checking the availability of block devices
	* Add detection of VFR content (1000 fps as reported by MPlayer)
	
* Sat Sep 19 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added VIDEO_FILTERS, AUDIO_FILTERS_TRACK[1|2|3], ENCODER and XVID_PARAMETERS
	  entries to the mkvtags_func() function
	* MP3 (MPEG1 Layer 3) only supports sample frequencies of 32, 44.1 and 48 kHz
	  so restrict to those only in the audio_resample_func() function
	* Set default for the pp7 deblocker to 3
	* Fixed example typo in the DVD chapters code
	
* Wed Sep 16 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Small improvement to how the MKV XML tagging file gets exported. Also improved
	  the XML formatting and added COMMENT string with text "Tagged by xvidenc $version"
	  and added SOURCE entry
	* Added comment tag for MP4 and OGM with the same text as above
	* Small update to the video_deinterlace_func() function's menu
	* Add comment header with dates to batch files
	* Use only lowercase words in all case statements that deal with the input source
	* Placed the -passlogfile option inside the PASSLOG variable
	* Added support for 2-pass Nero AAC audio encoding. Note that 2-pass is only
	  supported by ABR/CBR encoding and ensures that the output quality is constant
	  (like VBR) while also ensuring that a specified output bitrate is achieved
	  (like CBR)
	* Small bugfix: the counter in set_output_filename_func() didn't increase itself
	* Replaced variable $source with $type and $vtype with $source
	
* Sat Sep 05 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added support for the noise video filter. This change updates the config file to
	  version 10. Also, encoding priority now defaults to a nice value of 10 in the
	  config file
	* Moved out the code which checks and backups/renames a file if it has the same
	  name as the output provided by the user to a separate function called
	  backup_file_func() and also improved it so that if there's already an existing
	  backup file, the new one will increase its count number by one thus there's no
	  more overwriting being done anymore. The same thing applies to existing chapter
	  files and DVD subs
	* Small improvements to how chapters information is added to the output file name
	* Improved detection of DVD audio language codes. We now specifically grep for the
	  language word and then print the 2nd positional which gives us the language code.
	  It works more reliably if the DVD does not report its language code for the audio track(s)
	  so if this is the case, we fall back to undefined language. The previous code fails in
	  such cases due to the printing of the 8th positional which will print the "aid:" part when
	  there's no language code after the "language:" word, resulting in MKV/MP4 muxing failures.
	* Turn soft-clipping on in the volume audio filter
	* Simplified the audio_channels_func() function a bit
	* Moved the MP4 code that deals with DVD subs/cover files/metadata info/chapters and external
	  subs before its audio code
	* Fixed chapters import for the OGM container. Missing '@' before the chapters input file
	  results in the file not being imported
	* Added support for audio language metadata info for the OGM container
	* Added support for Year and Genre metadata tagging for the MKV/MP4/OGM containers.
	  For MKV, the genre and year is set globally using an automatically generated XML
	  file. MP4 uses the iTunes tagging and OGM the comment space
	* Updated the man page
	
* Thu Aug 13 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Removed pointless for loop and if conditional in the audio_filters_var_func() function
	* Simplified the audio_filters_func() function
	* Added support for the audio panning filter. This change updates the config file to version 9
	* Moved the audio filters functions after the audio codecs ones
	* Reduced the number of if conditional iterations for setting the scaler interlace variable
	* Replaced variable CONFIGDIR with TEMPDIR
	* Fixed some spacings issues by moving around some echo's
	* Print full path of the output file(s) at the end of encoding
	* Simplified the sample encoding code. Reduced some code duplication
	* Removed duplicate videofilters variable. This removes the check for the tfields filter
	  as now deinterlacing will always be done after cropping (which also speeds up things a bit)
	  so the crop filter will never complain about crop area being outside of the original if
	  tfields is used. It also reduces filters maintenance a bit
	  
* Tue Aug 04 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Add example on how to encode only specific DVD chapters
	* Call the track_echo_func() function inside the select_audio_codec_func() one. Removes
	  pointless duplication
	* Don't call mplayer twice in the 2nd/3rd audio track code just to get the audio codec.
	  Also removed a pointless case statement
	  
* Fri Jul 24 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Minor improvments to the set_output_filename_func() function
	* Added support for the new gradfun debanding video filter. Although mostly recommended for playback
	  due to the fact that encoding tends to bring back banding, it can be useful to deband input
	  sources which show pretty bad and very noticable banding effects before passing the content
	  to the encoder. The gradfun filter is only available in MPlayer SVN. This also adds a new
	  variable ALLOW_DEBAND to the config file where one can enable or disable this filter
	* Added a small while loop to the video_crop_func() function which will keep asking the user for
	  new crop values until he's satisfied with them. Patch by elektronaut from Doom9.org
	* Added a new variable PRIORITY to the config file which can be used to set a global priority
	  nice value for the encoding process. The values one can use are between (and including)
	  -20 and 19. However, if the script detects that this variable has a negative nice value
	  set and the script is being executed with regular user privileges, it will print a notice
	  and exit. This change updates the config file to version 8
	* Fixed a bug in the audio functions calling code of the iPod preset
	
* Wed Jul 08 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added detection for E-AC3 audio for stream copy and updated the MKV muxing code to support it
	* Added new option -spr which calculates the Storage and Pixel Aspect Ratios (SAR/PAR) for various
	  resolutions
	* Display the amount of chapters each DVD title has when scanning for titles
	* Display total pixels, SAR and PAR when scanning a file/vcd with the -scan option
	* Added --no-chapters mkvmerge option for audio files encoded by neroAacEnc so that chapters
	  won't be copied over to the MKVs from these files
	* Small update to the install script
	* Updated the man page. Fix some small cosmetic issues, patch by Alessio Treglia
	
* Fri Jul 03 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Fallback to undefined audio language in the AUDLANG[$i] variables if we detect unknown language
	  from MPlayer's output
	* Added support for bitrate-based ABR Vorbis encoding in addition to quality-based VBR. ABR mode
	  in Vorbis resembles quality-based VBR except the encoder averages a given nominal bitrate
	* Updated the Vorbis part of the video bitrate calculation code
	* Added new function ratio_and_pixels_func() which calculates and displays the Storage Aspect Ratio (SAR),
	  Pixel Aspect Ratio (PAR) and total pixels from resolution
	* Bugfix for track 1 in the internal audio encoding code. If using aacplusenc to encode audio, the case
	  statement had a wrong selection value (aac instead of aac+) resulting in displaying a failed message
	  and forcing an exit even though the encoding may have succeeded
	* Simplifications to the internal audio encoding code which reduce code duplication
	
* Tue Jun 30 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Bugfix: array variable TRACKID[1] was missing for single file encodes. This results in
	  erratic behavior of the audio code
	* Bugfix: second/third audio tracks were ignored by the OGM muxing code if audio codec is MP3
	
* Mon Jun 29 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Converted most of the variables in the video_subtitles_func() function to arrays.
	  Moderately reduces some code duplication
	* Use array variables ${SUBFILE[2]} and ${SUBFILE[3]} instead of ${OUTPUT%.*}_sub2 and
	  ${OUTPUT%.*}_sub3 when dumping the second/third DVD subtitle
	* Simplified the MKV cover art importing code
	* Major audio code restructuring and partial rewrite. Converted virtually all audio
	  variables to array variables. This reduces a lot of code duplication and makes the
	  audio code much easier and extensible
	* Added support for a third DVD audio track
	* Added support for per track audio codec for DVD encodings
	* Use external flac encoder to encode to FLAC audio as doing it through mencoder is terribly
	  broken. This updates the config file to version 7 and adds the 'flac' encoder as dependency
	* Use only one named pipe when encoding audio tracks to neroAAC/AAC+/Vorbis/FLAC
	* Updated and optimized the containers muxing code to support the above audio changes
	* Updated the bitrate calculation code for target size to support the above audio changes
	* Disallow autocropping, if enabled in the config file, for directory batch encodings
	* Disallow automatic detection of audio sample rate for directory batch encodings
	* Added support for MP4 hinting for RTP/RTSP sessions
	* Updated the man page
	
* Thu Jun 19 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Simplifications to the MKV tagging code which reduces some code duplication
	* Bugfix: FAAC acodec2 variable has wrong mpeg value. Must be mpeg=4 instead of mpeg4.
	  This results in failure in encoding of the second audio track when one selects
	  FAAC as encoder
	* Bugfix: FLAC audio was ignored for the second track due to missing value in the selection
	  of the case statement
	* Added support for tagging of MKV files when doing a directory batch encoding
	* Replaced the IMPSUB1, IMPSUB2 and IMPSUB3 variables, used to import subs when input type
	  is file/directory/vcd, by array variables EXTSUB[1], EXTSUB[2] and EXTSUB[3]. This allows
	  for less code duplication as these array variables are shared by all input types (including DVD)
	  and thus we only need to do a small loop and add their values if not empty to the
	  MKVSUBS, MP4SUBS and OGMSUBS variables
	* Use as temp directory $HOME/.xvidenc/job<PID>
	* Added new function audio_stream_copy_func() which will print a warning that audio stream copy
	  in directory batch encoding mode is not recommended unless the user is certain that the files
	  have a supported audio codec by the MKV/MP4/OGM containers
	* Group audio filters under a submenu similar to how the video filters are grouped
	* Some small cleanups
	
* Thu Jun 18 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added support for per track audio bitrate for DVD encodings
	* Added support for per track audio normalization and volume adjustments for DVD encodings.
	  Updated functions audio_volnorm_func() and audio_volume_func()
	* Added support for per track audio resampling for DVD encodings. Updated functions
	  audio_resample_filters_func() and audio_resample_func()
	* Updated the video bitrate calculation code to support the above audio changes
	* Added support for per track AAC profile settings (LC/HE/HEv2) when using the
	  neroAacEnc audio encoder
	* Small modifications to the MKV/MP4 tagging and muxing code to support the
	  per track neroAacEnc AAC profiles. This also includes optimizations to the way
	  the tagging code handles different AAC profiles. If LC profile is chosen, audio will
	  be tagged as LC-AAC (along with channels info). For HE and HEv2, audio will be tagged
	  as HE-AACv1 and HE-AACv2 (along with channels info) respectively
	* Moved the MKV tagging code inside the MKV muxing code
	* Converted the EXTSUB1, EXTSUB2 and EXTSUB3 variables, used to import external DVD subs,
	  to arrays so we can easily check different files for their file extensions
	* Only allow SRT subs as import into OGM. If another subs format is provided, the
	  subs will be skipped. For MP4, do not allow ASS/SSA subs since it's not supported yet
	  by MP4Box. For MKV, do not allow SUP and TTXT subs
	  
* Mon Jun 15 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Update to the video_subtitles_func() function: for DVD encodings, added support
	  for importing up to three external subtitles into MKV/MP4/OGM. Also added
	  support for hardcoding an external subtitle into the movie
	* Updated the MKV/MP4/OGM muxing code to support imports of external subtitles
	* If dumping of the second and/or third DVD subtitle fails and user has selected to
	  import the subs into MKV/MP4, force an exit since container conversion will fail as
	  the muxing programs will complain about the missing subs. If no container conversion
	  is chosen or user has chosen not to import the subs and dumping of subs fails, just
	  continue since there's nothing critical in this case
	* Use mplayer -really-quiet option instead of redirection to /dev/null when dumping
	  audio to a named pipe for neroAAC/Vorbis/AAC+ encoding
	* Some small updates to the man page
	
* Fri Jun 12 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Replaced the --noaudio mkvmerge option with -A due to recent options changes
	  in mkvmerge version 2.9.5. -A also works for older versions so nothing breaks here
	* Removed the check_outfile_func() function as its code has been added to the
	  set_output_filename_func() function, which also has been improved
	* Added support for FLAC audio in MKV
	* Removed some code duplication in the MKV metadata tagging code
	
* Tue Jun 09 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added support for adding jpeg/png cover art files to MKV/MP4
	* Added audio language meta-info for MP4 files
	* Added iTunes video title name for MP4 files
	* Improved audio language meta-info for MKV files. This also adds metadata
	  info for the second audio track
	* Fixed a small bug: the --aac-is-sbr mkvmerge parameter should be set to 0:1
	  for the second audio track when using aacplusenc as encoder
	  
* Sat May 30 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Use the same name for the log file as the output file name
	* Force using the libmpeg2 decoder when encoding DVDs/VCDs (works slightly better in specific
	  cases compared to ffmpeg2)
	* Added support for IVTC 59.940 -> 23.976 fps
	
* Tue May 12 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Added deinterlace combinations of Yadif + linear blend, linear interpolation, cubic
	  interpolation, median deint, ffmpeg deint and lowpass 5
	* Cosmetics to the help menu
	* Added global audio function audio_filters_func() for calling the resample, volume
	  normalizing and volume filters
	* Added 15 new variables to the config file for enabling/disabling of specific audio/video
	  filters and containers: ALLOW_FPS_CONVERSION, ALLOW_SCALER_TUNING, ALLOW_DSIZE,
	  ALLOW_EXPAND, ALLOW_COLORSPACE, ALLOW_ASPECT, ALLOW_AUD_RESAMPLE, ALLOW_AUD_NORMALIZE,
	  ALLOW_AUD_VOLUME, ALLOW_MKV_MUXING, ALLOW_MP4_MUXING, ALLOW_OGM_MUXING, ALLOW_SAMPLE_ENCODING,
	  ALLOW_SCAN_MULTIPLE_VIDSTREAMS and ALLOW_SCAN_MULTIPLE_AUDSTREAMS, the last two are only effective
	  on file encodings
	* Updated the man page

* Thu May 7 2009 Grozdan Nikolov <neutrino8@gmail.com>
	* Automatically add the shebang line to batch files and make them executable
	* Added Apple iPod preset (request from Rogério Brito from the LAME team)
	* Added MP3 presets and updated target file size code to support them (requested by Rogério Brito)
	* Updated the audio code and aac/neroaac functions to support the iPod audio restrictions
	* Added -ipod parameter to MP4Box when using the iPod preset
	* Added new variable ALLOW_AUTOCROP to the config file which allows the user to enable or
	  disable automatic cropping
	* Updated the man page

* Wed Apr 29 2009 Grozdan Nikolov <neutrino8@gmail.com>
  - Optimize some variables by replacing piping to sed with VARIABLE1="${VARIABLE2%.*}.ext"
  - Add -loop 1 mplayer option to the config file's MPLAYEROPTS variable
  - Add support for enabling/disabling specific pre/postprocessing filters in the config file.
    This adds 7 new variables to the config file where the user can either enable to ask
    questions about a specific filter or disable a specific variable, thus skipping
    questions about the filter
  - Moved the video filters code to a new function called video_filters_func(). This also
    reduces a bit of code duplication
  - Add a new option -e which allows the user to edit the config file directly from within the
    terminal. This adds a new variable EDITOR to the config file where the user can set his
    preferred text editor (defaults to nano)
  - Add video title meta-data for MKV and OGM when doing directory batch encodings
  - Silence possible dvdxchap warnings
  - Updated the man page
  
* Thu Apr 26 2009 Grozdan Nikolov <neutrino8@gmail.com>
  * Bugfix: missing 's' in the sed expression of the MP4OUT variable. This results in
    missing output file and will fail when one tries to remux to mp4
